libstdc++

Classes | Namespaces | Macros | Enumerations
standard_policies.hpp File Reference

Go to the source code of this file.

## Classes

struct | __gnu_pbds::detail::default_comb_hash_fn
| Primary template, default_comb_hash_fn. More...
struct | __gnu_pbds::detail::default_eq_fn< Key >
| Primary template, default_eq_fn. More...
struct | __gnu_pbds::detail::default_hash_fn< Key >
| Primary template, default_hash_fn. More...
struct | __gnu_pbds::detail::default_probe_fn< Comb_Probe_Fn >
| Primary template, default_probe_fn. More...
struct | __gnu_pbds::detail::default_resize_policy< Comb_Hash_Fn >
| Primary template, default_resize_policy. More...
struct | __gnu_pbds::detail::default_trie_access_traits< std::basic_string< Char, Char_Traits, std::allocator< char > > >
| Partial specialization, default_trie_access_traits. More...
struct | __gnu_pbds::detail::default_update_policy
| Default update policy. More...
struct | default_trie_access_traits< Key >
| Primary template, default_trie_access_traits. More...

## Namespaces

namespace | __gnu_pbds

## Macros

#define | __dtrie_alloc
#define | __dtrie_string

## Enumerations

enum | { default_store_hash }

## Detailed Description

Contains standard policies for containers.

Definition in file standard_policies.hpp.